%!TEX root=../../../thesis.tex
%!TEX file=content/fundamentals/dynamics/inverse-dynamics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{\Acrlong{IDP}}\label{sec:fundamentals:inverse-dynamics-problem}

For the sake of completeness, though not used in the remainder of this thesis, the \gls{IDP} provides a \acrfull{SNAE} in the generating forces or torques~$\forcevec \of{\genq, \dotgenq, \ddotgenq, t}$ such that the system follows a given trajectory tuple~$\vectset{ \genq ; \dotgenq ; \ddotgenq }$ subject to its dynamics reading
%
\begin{align*}
  \forcevec \of{\genq, \dotgenq, \ddotgenq, t}
    & = \Mass \,
        \ddotgenq
        +
        \fictitiousforces \of{\genq, \dotgenq} \,
        .
\end{align*}
%
Such equations are not very useful to determine the system's dynamics response or motion given an input trajectory as this trajectory is the input into above equations.
The \gls{IDP} is useful for designing the motion generating drives given desired maximum dynamics or design of model-based and feed-forward control laws.
In general however, also the \gls{IDP} cannot be solved in closed-form, however, it consists only of algebraic equations in the system's generalized coordinates and its derivatives making solving it a more trivial task compared to the \gls{FDP}.
